Subject: Re: shmget failed
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Fri, 25 Feb 2005 11:55:50 -0800

Jennifer Lai wrote:

>    I got bad system call error when I tried to compile a program that
> contains the following code,
> 
> shmid = shmget(IPC_PRIVATE, size, IPC_CREAT | 0600);
> where, size = 661552
> 
> At first I thought it has to do with the size, but reducing the size to
> 128 still cause bad system call error.
> Does anyone know what caused shmget to fail?

Since you didn't mention it you probably don't have cygserver running,
which is required. 
http://www.cygwin.com/cygwin-ug-net/using-cygserver.html

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/